#pragma once

// Project includes
#include "types.hpp"

enum class led_status : uint8
{
  ConnectingEthernet,
  ConnectingWifi,
  ReadyEthernet,
  ReadyWifi,
  Failed
};

void setup_led(void);
void turn_off_led(void);
void set_led_status(led_status status);
void led_blink_number(int n, uint8_t r, uint8_t g, uint8_t b);
